package upv.pauchorroyanguas.com.encryptorpcy.adapter;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import upv.pauchorroyanguas.com.encryptorpcy.TabsMainFragments.ContactsFragment;
import upv.pauchorroyanguas.com.encryptorpcy.TabsMainFragments.FolderFragment;
import upv.pauchorroyanguas.com.encryptorpcy.TabsMainFragments.SMSandCallsFragment;

/**
 *  Author: Pau Chorro
 *  Date: 02/11/15
 *  TODO To impl for final project
 */
public class TabsPagerAdapter extends FragmentPagerAdapter {

    private int numOfTabs;

    public TabsPagerAdapter(FragmentManager fm, int numOfTabs) {
        super(fm);
        this.numOfTabs = numOfTabs;
    }

    @Override
    public Fragment getItem(int index) {

        switch (index) {
            case 0:
                // Top Rated fragment activity
                return new FolderFragment();
            case 1:
                // Games fragment activity
                return new SMSandCallsFragment();
            case 2:
                // Movies fragment activity
                return new ContactsFragment();
        }

        return null;
    }

    @Override
    public int getCount() {
        // get item count - equal to number of tabs
        return numOfTabs;
    }
}
